## org.apache.lucene.search
Interface FieldCache.IntParser

All Superinterfaces:
  FieldCache.Parser, Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.IntParser

extends FieldCache.Parser

Interface to parse ints from document fields.

See Also:
  `FieldCache.getInts(IndexReader, String, FieldCache.IntParser)`

Method Summary
`int` `parseInt(String string)` Return an integer representation of this field's value.

Method Detail

### parseInt

    int parseInt(String string)

  Return an integer representation of this field's value.